module("General");
test("destroy", function() {
	$("#qunit-fixture").syoInputGrid();
	notDeepEqual($("#qunit-fixture").data("syoGrid"), undefined, "The data should not be undefined");
	notDeepEqual($("#qunit-fixture").data("syoGridLastId"), undefined, "Last ID should not me undefined");
	
	$("#qunit-fixture").syoInputGrid("disabled");
	$("#qunit-fixture").syoInputGrid("destroy");
	deepEqual($("#qunit-fixture").data("syoInputGrid"), undefined, "No data should remain");
	deepEqual($("#qunit-fixture").data("syoInputGrid_lastID"), undefined, "Should reset the last ID");
	deepEqual($("#qunit-fixture").data("syoInputGrid_disabled"), undefined, "Should reset the disabled state");
	deepEqual($("#qunit-fixture").html(), "", "The content should be empty");
});
test("Should create one input in the start", function() {
	$("#qunit-fixture").syoInputGrid();
	
	deepEqual($("#qunit-fixture").children("input").length, 1, "Should have one input");
	
	$("#qunit-fixture").syoInputGrid("destroy");
});
test("If the plugin container is not empty assume each children as one item", function() {
	$("#qunit-fixture")
		.append("<div>index 0</div><div>index 1</div><div>index 2</div>")
		.syoInputGrid({ itemTemplate: "<div>index $i</div>" });
	
	deepEqual($("#qunit-fixture > div:last").text(), "index 3", "The index should start from the last children");
	
	//Aditional test using add method
	$("#qunit-fixture").syoInputGrid("add", 2);
	deepEqual($("#qunit-fixture > div:last").text(), "index 5", "The index should start from the last children");
	
	$("#qunit-fixture").syoInputGrid("destroy");
});